## com.vividsolutions.jts.index.quadtree
Class Root

    java.lang.Object
      com.vividsolutions.jts.index.quadtree.NodeBase
          com.vividsolutions.jts.index.quadtree.Root

public class Root
extends NodeBase

QuadRoot is the root of a single Quadtree. It is centred at the origin, and does not have a defined extent.

Version:
  1.7

Field Summary

Fields inherited from class com.vividsolutions.jts.index.quadtree.NodeBase
`items, subnode`

Constructor Summary
`Root()`

Method Summary
`void` `insert(Envelope itemEnv, java.lang.Object item)` Insert an item into the quadtree this is the root of.
`protected boolean` `isSearchMatch(Envelope searchEnv)`

Methods inherited from class com.vividsolutions.jts.index.quadtree.NodeBase
`add, addAllItems, addAllItemsFromOverlapping, getItems, getSubnodeIndex, hasChildren, hasItems, isEmpty, isPrunable, remove, visit`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Root

    public Root()

Method Detail

### insert

    public void insert(Envelope itemEnv,
                       java.lang.Object item)

  Insert an item into the quadtree this is the root of.

### isSearchMatch

    protected boolean isSearchMatch(Envelope searchEnv)

  Specified by:
    `isSearchMatch` in class `NodeBase`